package cn.iocoder.yudao.module.system.mq.producer.map;

import cn.iocoder.yudao.module.system.mq.message.map.MapMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component
public class MapProducer {

    @Resource
    private ApplicationContext applicationContext;

    public void sendSmsSendMessage(MapMessage message) {
        applicationContext.publishEvent(message);
    }

}
