package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 取货点位绑定新增/修改 Request VO")
@Data
public class WareHouseTakePointBindingSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "16028")
    private Long id;

    @Schema(description = "类型, 0:设备", example = "2")
    private Integer bindingType;

    @Schema(description = "设备id", example = "3876")
    private Long bindingId;

    @Schema(description = "取货点位表id", example = "20371")
    private Long takePointId;

}